#include <cstdio>
#include <algorithm>
#include <iomanip>
#include <iostream>
#include <cmath>

using namespace std;

void heap(double a[][100001], int n, int i)
{
    int r = 2 * i + 2;
    int l = 2 * i + 1;

    int max2 = i;

    if (l < n && a[1][l] > a[1][max2])
    {
        max2 = l;
    }

    if (r < n && a[1][r] > a[1][max2])
    {
        max2 = r;
    }

    if (max2 != i)
    {
        swap(a[1][i], a[1][max2]);
        swap(a[0][i], a[0][max2]);

        heap(a, n, max2);
    }
}

void Sort(double a[][100001], int n)
{
    for (int i = n/2 - 1; i >= 0; i--)
    {
        heap(a, n, i);
    }
    for (int i = n - 1; i > 0; i--)
    {
        swap(a[1][0], a[1][i]);
        swap(a[0][0], a[0][i]);

        heap(a, i, 0);
    }
}







double a[1][100001];

int main()
{
    ios_base::sync_with_stdio(false);
    cout << setprecision(16);
    int n;
    cin>>n;
    double suma=0;
    double suma2=0;
    double maxer=0;
    double k=100;
    for(int i = 0; i<n; i++)
    {
        cin>>a[0][i]>>a[1][i];
        suma+=a[0][i];
    }
    Sort(a, n);
    for(int i = 0; i<n; i++)
    {
        suma2=suma*a[1][i];
        suma2/=k;
        //cout<<suma2<<endl;
        if(suma2>maxer) {maxer=suma2;}
        suma-=a[0][i];
    }
    //cout<<endl;
    cout<<maxer;
    //cout<<(100001+90001)*0.7732;
    /*for(int i = 0; i<n; i++)
    {
        cout<<a[0][i]<<" "<<a[1][i]<<endl;
    }*/


    return 0;
}